/* (C) 2008 YOOtheme.com */

var YOOTools = {
		
	start: function() {
		
		/* Match height of div tags */
		YOOTools.setDivHeight();

		/* Accordion menu */
		new YOOAccordionMenu('div#middle ul.menu li.toggler', 'ul.accordion', { accordion: 'slide' });

		/* Fancy menu */
		new YOOFancyMenu($E('ul', 'menu'), { mode: 'move', transition: Fx.Transitions.Expo.easeOut, duration: 700 });

		/* Dropdown menu */
		new YOODropdownMenu('div#menu li.parent', { mode: 'height', transition: Fx.Transitions.Expo.easeOut });
		
		/* Morph: main menu (drop down) */
		switch (YtSettings.color) {
			case "blue":		var enterColor = '#5F9BAF';
								var leaveColor = '#282B2D';
								break;
		 
			case "red": 		var enterColor = '#AC492D';
								var leaveColor = '#282B2D';
								break;
		 
			case "pink": 		var enterColor = '#AD667A';
								var leaveColor = '#282B2D';
								break;
		 
			case "lilac": 		var enterColor = '#8576A3';
								var leaveColor = '#282B2D';
								break;
		 
			case "orange":	 	var enterColor = '#BA6F3E';
								var leaveColor = '#282B2D';
								break;
							
			case "beige":		var enterColor = '#D6B465';
								var leaveColor = '#282B2D';
								break;
							
			case "black":		var enterColor = '#969696';
								var leaveColor = '#282B2D';
								break;
								
			case "white":		var enterColor = '#D2D2D2';
								var leaveColor = '#282B2D';
								break;
							
			case "yellow":		var enterColor = '#DAC845';
								var leaveColor = '#282B2D';
								break;
								
			case "lightgreen":	var enterColor = '#ADC86F';
								var leaveColor = '#282B2D';
								break;
								
			case "lightblue":	var enterColor = '#80D1FD';
								var leaveColor = '#282B2D';
								break;
		 
			default: 			var enterColor = '#A3D869';
					 			var leaveColor = '#282B2D';
		}

		var menuEnter = { 'background-color': enterColor };
		var menuLeave = { 'background-color': leaveColor };

		new YOOMorph('div#menu li.level2 a, div#menu li.level2 span.separator', menuEnter, menuLeave,
			{ transition: Fx.Transitions.linear, duration: 300 },
			{ transition: Fx.Transitions.sineIn, duration: 700 });
		
		var enterColor = '#000000';
		var leaveColor = '#ffffff';

		var menuEnter = { 'color': enterColor };
		var menuLeave = { 'color': leaveColor };
		
		new YOOMorph('div#menu li.level2 a, div#menu li.level2 span.separator', menuEnter, menuLeave,
			{ transition: Fx.Transitions.linear, duration: 0 },
			{ transition: Fx.Transitions.sineIn, duration: 700 });

		/* Morph: sub menu */
		var enterColor = '#46494b';
		var leaveColor = '#ffffff';
		
		var submenuEnter = { 'background-color': enterColor};
		var submenuLeave = { 'background-color': leaveColor};

		new YOOMorph('div#middle ul.menu a, div#middle ul.menu span.separator', submenuEnter, submenuLeave,
			{ transition: Fx.Transitions.expoOut, duration: 300 },
			{ transition: Fx.Transitions.sineIn, duration: 700 });
		
		var enterColor = '#ffffff';
		var leaveColor = '#323232';
		
		var submenuEnter = { 'color': enterColor};
		var submenuLeave = { 'color': leaveColor};

		new YOOMorph('div#middle ul.menu a, div#middle ul.menu span.separator', submenuEnter, submenuLeave,
			{ transition: Fx.Transitions.expoOut, duration: 0 },
			{ transition: Fx.Transitions.sineIn, duration: 700 });

		/* Morph: module color */

		/* blue */
		var moduleEnter = { 'background-color': '#31748A'};
		var moduleLeave = { 'background-color': '#5F9BAF'};

		new YOOMorph('div.mod-rounded div.blue', moduleEnter, moduleLeave,
			{ transition: Fx.Transitions.sineIn, duration: 200 },
			{ transition: Fx.Transitions.expoOut, duration: 3000 });
		
		/* lightblue */
		var moduleEnter = { 'background-color': '#37B7FB'};
		var moduleLeave = { 'background-color': '#80D1FD'};

		new YOOMorph('div.mod-rounded div.lightblue', moduleEnter, moduleLeave,
			{ transition: Fx.Transitions.sineIn, duration: 200 },
			{ transition: Fx.Transitions.expoOut, duration: 3000 });
		
		/* green */
		var moduleEnter = { 'background-color': '#6FAF27'};
		var moduleLeave = { 'background-color': '#A3D869'};

		new YOOMorph('div.mod-rounded div.green', moduleEnter, moduleLeave,
			{ transition: Fx.Transitions.sineIn, duration: 200 },
			{ transition: Fx.Transitions.expoOut, duration: 3000 });
		
		/* lightgreen */
		var moduleEnter = { 'background-color': '#96BB40'};
		var moduleLeave = { 'background-color': '#ADC86F'};

		new YOOMorph('div.mod-rounded div.lightgreen', moduleEnter, moduleLeave,
			{ transition: Fx.Transitions.sineIn, duration: 200 },
			{ transition: Fx.Transitions.expoOut, duration: 3000 });
		
		/* yellow */
		var moduleEnter = { 'background-color': '#CAA200'};
		var moduleLeave = { 'background-color': '#DAC845'};

		new YOOMorph('div.mod-rounded div.yellow', moduleEnter, moduleLeave,
			{ transition: Fx.Transitions.sineIn, duration: 200 },
			{ transition: Fx.Transitions.expoOut, duration: 3000 });
		
		/* beige */
		var moduleEnter = { 'background-color': '#BB933E'};
		var moduleLeave = { 'background-color': '#D6B465'};

		new YOOMorph('div.mod-rounded div.beige', moduleEnter, moduleLeave,
			{ transition: Fx.Transitions.sineIn, duration: 200 },
			{ transition: Fx.Transitions.expoOut, duration: 3000 });
		
		/* red */
		var moduleEnter = { 'background-color': '#8D1B0E'};
		var moduleLeave = { 'background-color': '#AC492D'};

		new YOOMorph('div.mod-rounded div.red', moduleEnter, moduleLeave,
			{ transition: Fx.Transitions.sineIn, duration: 200 },
			{ transition: Fx.Transitions.expoOut, duration: 3000 });
		
		/* orange */
		var moduleEnter = { 'background-color': '#AB5018'};
		var moduleLeave = { 'background-color': '#BA6F3E'};

		new YOOMorph('div.mod-rounded div.orange', moduleEnter, moduleLeave,
			{ transition: Fx.Transitions.sineIn, duration: 200 },
			{ transition: Fx.Transitions.expoOut, duration: 3000 });
		
		/* lilac */
		var moduleEnter = { 'background-color': '#624d7d'};
		var moduleLeave = { 'background-color': '#8576A3'};

		new YOOMorph('div.mod-rounded div.lilac', moduleEnter, moduleLeave,
			{ transition: Fx.Transitions.sineIn, duration: 200 },
			{ transition: Fx.Transitions.expoOut, duration: 3000 });
		
		/* pink */
		var moduleEnter = { 'background-color': '#983D56'};
		var moduleLeave = { 'background-color': '#AD667A'};

		new YOOMorph('div.mod-rounded div.pink', moduleEnter, moduleLeave,
			{ transition: Fx.Transitions.sineIn, duration: 200 },
			{ transition: Fx.Transitions.expoOut, duration: 3000 });
		
		/* white */
		var moduleEnter = { 'background-color': '#D2D2D2'};
		var moduleLeave = { 'background-color': '#ffffff'};

		new YOOMorph('div.mod-rounded div.white', moduleEnter, moduleLeave,
			{ transition: Fx.Transitions.sineIn, duration: 200 },
			{ transition: Fx.Transitions.expoOut, duration: 3000 });

		/* Style switcher */
		new YOOStyleSwitcher($ES('.wrapper'), { 
			widthDefault: YtSettings.widthDefault,
			widthThinPx: YtSettings.widthThinPx,
			widthWidePx: YtSettings.widthWidePx,
			widthFluidPx: YtSettings.widthFluidPx,
			afterSwitch: YOOTools.setDivHeight,
			transition: Fx.Transitions.expoOut,
			duration: 500
		});		
		
		/* Smoothscroll */
		new SmoothScroll({ duration: 500, transition: Fx.Transitions.Expo.easeOut });
	},

	/* Include script */
	include: function(library) {
		$ES('script').each(function(s, i){
			var src  = s.getProperty('src');
			var path = '';
			if (src && src.match(/yoo_tools\.js(\?.*)?$/)) path = src.replace(/yoo_tools\.js(\?.*)?$/,'');
			if (src && src.match(/template\.js\.php(\?.*)?$/)) path = src.replace(/template\.js\.php(\?.*)?$/,'');
			if (path != '') document.write('<script language="javascript" src="' + path + library + '" type="text/javascript"></script>');
		});
	},

	/* Match height of div tags */
	setDivHeight: function() {
		YOOBase.matchDivHeight('div.topbox div.deepest', 0, 40);
		YOOBase.matchDivHeight('div.bottombox div.deepest', 0, 40);
		YOOBase.matchDivHeight('div.maintopbox div.deepest', 0, 40);
		YOOBase.matchDivHeight('div.mainbottombox div.deepest', 0, 40);
		YOOBase.matchDivHeight('div.contenttopbox div.deepest', 0, 40);
		YOOBase.matchDivHeight('div.contentbottombox div.deepest', 0, 40);
	}

};

/* Add functions on window load */
window.addEvent('domready', YOOTools.start);

/* Load IE6 fix */
if (window.ie6) {
	YOOTools.include('addons/ie6fix.js');
	YOOTools.include('yoo_ie6fix.js');
}
